plugins {
    id("vanstudio.commons")
    id("org.jetbrains.intellij.platform") apply false
    id("org.jetbrains.changelog") apply false
}

group = "vanstudio"

repositories {
    maven("https://mirrors.cloud.tencent.com/nexus/repository/maven-public")
    maven("https://maven.aliyun.com/repository/gradle-plugin")
    intellijPlatform {
        defaultRepositories()
    }
}

dependencies {
    implementation(platform("vanstudio.platform:product-platform"))

    intellijPlatform {
        intellijIdeaCommunity("2024.1")
        instrumentationTools()
        zipSigner("0.1.8")

    }
}

intellijPlatform {
    buildSearchableOptions = false
    sandboxContainer = File(providers.environmentVariable("HOME").get() + "/.sandbox")
}