pluginManagement {
    repositories {
        maven("https://mirrors.cloud.tencent.com/nexus/repository/maven-public")
        maven("https://oss.sonatype.org/content/repositories/snapshots/")
        gradlePluginPortal {
            maven("https://maven.aliyun.com/repository/gradle-plugin")
        }
    }
    includeBuild("build-logic")
}
//dependencyResolutionManagement {
//    repositories {
//        maven("https://maven.aliyun.com/repository/gradle-plugin")
//        maven("https://oss.sonatype.org/content/repositories/snapshots/")
////        gradlePluginPortal()
//    }
//}

includeBuild("platforms")

rootProject.name = "vssd"

include(":config")
project(":config").projectDir = File("base/config")
include(":core")
project(":core").projectDir = File("base/core")
include(":uast")
project(":uast").projectDir = File("lang/uast")
include(":ultimate")
project(":ultimate").projectDir = File("editions/ultimate")
include(":sdcore")
project(":sdcore").projectDir = File("editions/sdcore")